This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 251563 - new project action to preselect project category
Summary: new project action to preselect project category
Status: RESOLVED FIXED
Alias: None
Product: projects
Classification: Unclassified
Component: Generic Projects UI (show other bugs)
Version: 8.0
Hardware: Macintosh Mac OS X
: P3 normal (vote)
Assignee: Tomas Stupka
URL:
Keywords: API_REVIEW_FAST
Depends on:
Blocks:
 
Reported: 2015-04-01 13:57 UTC by Tomas Stupka
Modified: 2015-05-27 13:18 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments
suggested changes (6.53 KB, patch)
2015-04-01 13:57 UTC, Tomas Stupka
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2015-04-01 13:57:10 UTC
provide a way to create a new project action which:
- preselects a given project category 
- propagates custom properties to the new project wizard

see also issue #250190 - API to open New Project dialog with preselected sample category and device

please also note that maven, in a kind of a private contract, already does a similar thing - preselects the maven project category and routes over the groupId and version
Comment 1 Tomas Stupka 2015-04-01 13:57:42 UTC
Created attachment 152978 [details]
suggested changes
Comment 2 Tomas Stupka 2015-04-13 08:07:52 UTC
in case nobody objects i will push the changes tomorrow
Comment 3 Tomas Stupka 2015-04-14 10:25:19 UTC
fixed in jet-main #ad333afe5131
Comment 4 Quality Engineering 2015-04-15 02:49:20 UTC
Integrated into 'main-silver', will be available in build *201504150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ad333afe5131
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #251563 - new project action to preselect project category
Comment 5 Tomas Stupka 2015-05-25 11:44:43 UTC
backported to releases #4890482010ca
Comment 6 Quality Engineering 2015-05-27 13:18:15 UTC
Integrated into 'releases/release801', will be available in build *201505271203* or newer. Wait for official and publicly available build.

Changeset: http://hg.netbeans.org/releases/rev/4890482010ca
User: Tomas Stupka <tstupka@netbeans.org>
Log: issue #251563 - new project action to preselect project category
backported to releases